ICH4.pcm.surround51.0 {
	@args [ CARD ]
	@args.CARD {
		type string
	}
	type softvol

	slave.pcm {
		type route

		ttable.0.0 1
                ttable.1.1 1
                ttable.2.4 1
                ttable.3.5 1
                ttable.4.2 1
                ttable.5.3 1

		slave.pcm
		{

			type hooks
			slave.pcm {
				type hw
				card $CARD
				channels 6
			}
			hooks.0 {
				type ctl_elems
				hook_args [
				{
					name "Channel Mode"
					preserve true
					value "6ch"
					lock true
					optional true
				}
				# for old drivers
				{
					name "Line-In As Surround"
					preserve true
					value true
					optional true
				}
				{
					name "Mic As Center/LFE"
					preserve true
					value true
					optional true
				}
				{
					name "Surround Down Mix"
					preserve true
					value off
					lock true
					optional true
				}
				{
					name "Center/LFE Down Mix"
					preserve true
					value off
					lock true
					optional true
				}
				]
			}
		}
	}
	control {
		name "PCM Playback Volume"
		card $CARD
	}
}

